"use strict";

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-unused-vars: 0, new-cap: 0 */

function MERGE_QUERIES(firstQuery, secondQuery) {
  if (secondQuery === null) {
    return firstQuery;
  }
  var result = {};
  var firstQueryUpdated = false;
  var secondQueryUpdated = false;
  (0, _keys2.default)(firstQuery).forEach(function (key) {
    if (!secondQuery[key]) {
      firstQueryUpdated = true;
      result[key] = firstQuery[key];
    } else if (firstQuery[key] !== secondQuery[key]) {
      result[key] = MERGE_QUERIES(firstQuery[key], secondQuery[key]);
      if (result[key] !== secondQuery[key]) {
        firstQueryUpdated = true;
        secondQueryUpdated = true;
      }
    } else {
      result[key] = firstQuery[key];
    }
  });
  if (!firstQueryUpdated) {
    return secondQuery;
  }
  (0, _keys2.default)(secondQuery).forEach(function (key) {
    if (!result[key]) {
      secondQueryUpdated = true;
      result[key] = secondQuery[key];
    }
  });
  return secondQueryUpdated ? result : firstQuery;
}